datapoint.h File Reference
`#include <vector>`
`#include <limits>`
`#include <memory>`
`#include <QDataStream>`
`#include "../exportinmportconfig.h"`
`#include "../types.h"`

Go to the source code of this file.

## Classes

struct | pappso::DataPoint

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< const DataPoint > | pappso::DataPointCstSPtr

## Functions

QDataStream & | pappso::operator<< (QDataStream &out, const DataPoint &dataPoint)
QDataStream & | pappso::operator>> (QDataStream &in, DataPoint &dataPoint)
| Q_DECLARE_METATYPE (pappso::DataPoint)
| Q_DECLARE_METATYPE (pappso::DataPointCstSPtr)

## Variables

int | dataPointMetaTypeId
int | dataPointCstSPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::DataPoint |  | ) |

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::DataPointCstSPtr |  | ) |

## Variable Documentation

## dataPointCstSPtrMetaTypeId

int dataPointCstSPtrMetaTypeId

extern

Definition at line 27 of file datapoint.cpp.

## dataPointMetaTypeId

int dataPointMetaTypeId

extern

Definition at line 23 of file datapoint.cpp.